| Home | Libraries | People | FAQ | More

## Class minutes

boost::posix_time::minutes

## Synopsis

    // In header: <boost/date_time/posix_time/posix_time_duration.hpp>

    class minutes : public boost::posix_time::time_duration {
    public:
      // construct/copy/destruct
      template<typename T>
        explicit minutes(T const &,
                         typename boost::enable_if< boost::is_integral< T >, void >::type * = BOOST_DATE_TIME_NULLPTR);
    };

## Description

Allows expression of durations as a minute count The argument must be an integral type

### `minutes` public construct/copy/destruct

1.     template<typename T>
         explicit minutes(T const & m,
                          typename boost::enable_if< boost::is_integral< T >, void >::type * = BOOST_DATE_TIME_NULLPTR);